<!-- Breadcrumb -->
<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">

</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item" href>
                Search
                <i class="icon-tick-bold"></i>
        </a>
                </li>
                <li class="done">
                    <span class="item">
            Choose Flight <i class="icon-tick-bold"></i>
        </span>
                </li>
                <li class="done">
                    <span class="item">
            Choose Hotel <i class="icon-tick-bold"></i>
        </span>
                </li>
                <li class="active">
                    <span class="item">
            Choose Room
        </span>
                </li>
                <li>
                    <span class="item">
            Choose Extras
        </span>
                </li>
                <li>
                    <span class="item">
            Book
        </span>
                </li>
            </ul>
        </div>
    </div>
	
	
	
	
    <div class="row my-4">
        <div class="col-md-12">
            <h3>
                Review Your Flight and Hotel
            </h3>
        </div>
    </div>
    <div class="row my-4">
       
        <div class="col-md-12 search-results-panel">
            <div class="search-results-info-panel sc-u-grid-gutter-y">
                <h1 class="sc-c-heading holiday-heading sc-c-heading--xl"><i class="icon-flights"></i> Your Flight <span ng-bind="flightResult.frmAirprt.split('(')[1].substring(0,3)"></span>&#8652; <span ng-bind="flightResult.frmAirprt.split('(')[1].substring(0,3)"></span>(Return)</h1>
            </div>
            <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
                      <div class="flight-listing" >
						   <div ng-repeat="segment in flightResult.flightSearchResults[0].segGrpList">
						   <div class="flight-legs-section" ng-repeat="info in segment.segList[0].fltInfoList">
							   <div class="flight-leg" >
								    <div class="leg-header">
                                        <span class="flight-date" ng-bind="info.dispEndDate"></span>
                                          </div>
										  <div class="leg-main">
											  <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{info.airline}}.png">
                                        </div>
										<div class="leg-itinerary">
                                            <div class="parts">
												<div class="part part-point part-point-departure">
													<div>
														<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
                                                        <span class="flight-time" ng-bind="info.dispStartTime"></span>
														</div>
														<div class="flight-airport-title">
                                                        <span class="title" ng-bind="info.origin.split('(')[0]"></span>
                                                    </div>
													</div>
													<div class="part part-journey">
														
														<div class="flight-duration">
                                                        <div ng-bind="info.dispDuration"></div>
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span>{{flight.fromFlight.stops}}</span>
                                                    </div>
                                                </div>
												
												<div class="part part-point part-point-arrival">
                                                    <div>
                                                        <span class="flight-time">{{info.dispArrTime}}</span>
                                                        
                                                        <span class="flight-airport-code">&nbsp;&nbsp;{{info.dest.split('(')[1].substring(0,3)}}</span>
                                                    </div>
                                                    <div class="flight-airport-title">
                                                        <span class="title">{{info.dest.split('(')[0]}}</span>
                                                    </div>
                                                </div>
													
												</div>
											</div>
											  </div>
								   </div>
							   </div>
						   </div>
							   <div class="flight-info-section">
								   
								   <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
                                    <i class="o-icon-label__icon icon-information"></i>
									<span class="o-icon-label__caption">Flight Details</span>
                                    
                                </a>

                                <div>
                                   
                                    <button type="button" class="btn btn-select btn-block" ui-sref="holidayFlightDetails">
                                        <i class="sc-c-button__icon icon-chevron-left"></i>
                                        Review Your Flight
                                    </button>
                                </div>
                            </div>
							   
						   </div>
                   
                </div>
            </div>
        </div>
    </div>
		</div> 
	
   <div class="row my-4">
        <div class="col col-8">
            <div class="card flight-summary">
                <div class="card-header">
                    <span ng-bind="hotelResult.name"></span> <a class="shortlist-toggle add cPointer" ng-class="{ 'add': !hotel.inShortlist, 'remove': hotel.inShortlist }" ng-click="toggleShortlist($event)" placement="right" hotel="::cm.hotel">
    <i ng-class="{ 'icon-favourite': !hotel.inShortlist, 'icon-favourite-active': hotel.inShortlist }" tooltip="Save this hotel to your shortlist" class="icon-favourite"></i>
</a>
                </div>
                <div class="card-body">
                    <ul class="sc-c-listing-card__ratings inline-info-list">
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                    </ul>
                    <div class="airports">
                       <span ng-bind="hotelResult.address"></span>
                        <a href="#" class="o-icon-label o-icon-label--sm" lightbox-map-trigger="" element="cm.hotel">
                            <i class="o-icon-label__icon icon-pin"></i>
                           <!--  <span class="o-icon-label__caption">Show on map</span> -->
                        </a>
                    </div>
                    <ul class="hotel-facility-icons">
                        <!---->
                        <li>
                            <i class="icon-facility-AC"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-BA"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-GM"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-PK"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-RS"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-SW"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-TV"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-IN"></i>
                        </li>
                        <!---->
                    </ul>
                    <a class="o-icon-label o-icon-label--sm" href>
                        <i class="o-icon-label__icon icon-search"></i> <span class="o-icon-label__caption">Choose a different hotel</span>
                    </a>
                    <div class="mt-3" uib-carousel active="active" interval="myInterval" no-wrap="noWrapSlides">
                       <div uib-slide ng-repeat="slide in hotelResult.galleries track by $index" index="$index">
                            <img ng-src="{{slide.path}}" style="margin:auto;">
                        </div>
                    </div>


                </div>
            </div>
        </div>
        <div class="col col-4">
            <div class="card flight-summary">
                <div class="card-header">
                    Price Breakdown
                </div>
                <div class="card-body py-4">
                    <ul class="cost-breakdown-list pb-2">
                        <li class="section">
                            <div class="title">
                                Rooms from
                                <span ng-show="fes.flightExtrasDescription.length > 0" class="extras sc-o-col-sm-6 ng-hide" option-counts="fbs.flight.ProductSpecificFields.OptionCounts"></span>
                            </div>
                            <div class="total price">OMR 235.00</div>
                        </li>
                        <li class="section">
                            <div class="title">Extras</div>
                            <div class="total price">OMR 0.00</div>
                        </li>
                        <li class="section section-total">
                            <div class="title">Total per night</div>
                            <div class="total price">OMR 235.00</div>
                        </li>
                    </ul>
                    <button type="button" class="btn btn-block btn-select" ng-click="toHotelRoomsList()">
                        Select Room
                    </button>
                </div>
            </div>

        </div>
    </div>

    <div class="row mb-3" id="hotelRoomsList">
       <div class="col">
		  <div class="card book-review mb-4" ng-repeat="roomList in hotelResult.occGroups">
			 <h4 class="card-header">Room {{$index+1}}</h4>
				
				 <div class="card-body" ng-repeat="roomInfo in roomList.roomInfos">
				 <h5 >{{roomInfo.roomName}}</h5>
					  <div class="row hotel-room-item pb-3">
                        <div class="col-md-3">
                            <figure class="my-0">
                                <img src="{{roomList.roomImgPath}}" />
                            </figure>
                        </div>
                        <div class="col-md-9">
                           </div>
                    </div>
					
					<div class="row hotel-room-item item-fare-row">
                        <div class="col-md-3">
                            <p>{{roomInfo.mealBoardDesc}}</p>
                        </div>
                        <div class="col-md-3">
                            <!-- <a href class="link">Cancellation</a> -->
                            <p class="hype-message" ng-bind-html="renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy)"></p>
                        </div>
                        <div class="col-md-4 text-right">
                            <div class="sc-c-price-block__amount sc-c-price-block__amount--secondary">
                                OMR {{roomInfo.roomFare}}
                            </div>
                            <span>Hotel total price</span>
                        </div>
                        <div class="col-md-2 text-right">
                            <button type="button" ng-disabled="disabled" class="btn btn-block btn-select " ng-click="onSelect($parent.$index, $index);">
                                Select
                            </button>
                        </div>
						<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel"></div>
		</div>
                    </div>
					
					 </div>
				</div> 
       
	   </div>
    </div>

   
   <div class="sc-c-header-bar">
        <h3>
            Hotel Information
        </h3>
    </div>

    <div class="o-placeholder o-placeholder--sm">
        <div class="sc-c-box booking-options-panel">
            <div class="sc-c-box__content hotel-info-box">
                <p ng-bind-html="renderHTMLFactory.renderHTML(hotelResult.htlDesc)"></p>
            </div>

        </div>

    </div>
	
	</div>
<script type="text/ng-template" id="flightInfo.html">
	<div class="modal-header">
	<h3 class="modal-title" id="modal-title">Flight Details</h3>
</div>

<div class="modal-body">
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container flight-details">
				<!-- <div ng-repeat="flightsearchResdetails in flightsearchResInfo.flightSearchResults track by $index"> -->
					<div class="flight-listing">
						<div class="flight-legs-section">
							<div ng-repeat="segment in flightsearchResdetails.segGrpList">
								<div ng-repeat="segmentList in segment.segList">
									<div ng-repeat="info in segmentList.fltInfoList">
										<div class="flight-leg">
											<div class="leg-header">
												<span class="flight-date"></span>
											</div>
											<div class="leg-main">
												<div class="airline-logo">
													<img src="images/Airlines/sm{{info.airline}}.png">
													<p ng-bind="info.fltNum"></p>
													
												</div>
												<div class="leg-itinerary">
													<div class="parts">
														<div class="part part-point part-point-departure">
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispStartTime"></span>
															</div>
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispArrTime"></span>
																
															</div>
														</div>
														<div class="part part-journey">
															
															<div class="flight-duration">
																<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.origin.split('(')[0]"></span>
																
															</div>
															
															<div class="flight-stops">
																<span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
															</div>
														</div>
														<div class="part part-point part-point-arrival">
															<div class="route-circle top"></div>
															<div class="route-circle bottom"></div>
															<span class="duration">{{flight.fromFlight.duration}}</span>
														</div>
													</div>
												</div>
												
											</div>
											<div class="leg-footer">
												<p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p>
												<p class="pull-right">Jouney Duration: <strong  ng-bind="info.dispDuration"></strong></p>
												<div class="clearfix"></div>
											</div>
										</div>
									</div>
								</div>
							</div>
							
						</div>
					</div>
				<!-- </div> -->
				
			</div>
			
		</div>
	</div>
</div>

<div class="modal-footer">
	<button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Discard</button>
</div>

	</script>